Subject: Re: [RFC] git gui doesn't call post-checkout hook on checkout or clone

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 22 Mar 2009 17:18:27 -0700

Jeff King <[email-masked]> wrote:
> On Sun, Mar 22, 2009 at 04:49:05PM +0100, Jens Lehmann wrote:
> 
> > When checking out or cloning via git gui, the post-checkout
> > hook is not called. This is a bit unexpected ...
...
> > But is this the right way to do this? Seems like we could
> > surprise some users of git read-tree with this change in
> > behaviour.
> 
> No, I think plumbing should not generally call hooks. The right solution
> would be to have git-gui call the post-checkout hook.

+1.  git-gui should be invoking the hook.  It doesn't.  Patches are
welcome.  I don't really have time these days for doing my own
development on git-gui, but well coded patches are still accepted.

-- 
Shawn.